---
layout: mockup
title: "Printers"
theme: Adwaita/Adwaita.css
permalink: settings/printers
wallpaper: adwaita
category: "Devices"
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/settings.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar paned">
		<div class="button-group pane float-left">
			<a class="button image-button secondaryButton" href="{{ site.baseurl }}/settings/">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<a class="button image-button primaryButton">{%- include symbolic/actions/edit-find-symbolic.svg -%}</a>
			<span class="title">Settings</span>
		</div>
		<a id="lockedButton" class="button text-button primaryButton insensitive suggested-action float-left" onclick="$('#addPrinterDialog').show();">Add&hellip;</a>
		<a id="lockedButton" class="button text-button secondaryButton insensitive suggested-action float-right" onclick="$('#addPrinterDialog').show();">Add&hellip;</a>
		<!-- Title -->
		<div class="title-group">
			<span class="title">{{ page.title }}</span>
		</div>
		<div class="button-group float-right" style="margin-top:-46px;">
			<a class="button image-text-button" id="unlockButton" onclick="$('#lockedButton').removeClass('insensitive');$(this).hide();$('#lockButton').show();">{%- include symbolic/status/changes-allow-symbolic.svg -%}Unlock</a>
			<a class="button image-text-button" id="lockButton" onclick="$('#lockedButton').addClass('insensitive');$(this).hide();$('#unlockButton').show();">{%- include symbolic/status/changes-prevent-symbolic.svg -%}Lock</a>
			{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Content -->
	<div class="content">
		{%- include widgets/_settings-sidebar.html -%}
		<!-- View -->
		<div class="view">
			{%- include components/empty-state.html
				id = "noPrintersAvailable"
				icon="devices/printer" 
				title = "No printers are available" 
				message= "Add or attach a printer" 
			-%}
		</div>
	</div>
	<!-- Add Printer Dialog -->
	<div class="gtkdialog" id="addPrinterDialog">
		<div class="gtkdialog-window action-dialog">
			<div class="titlebar" title="Add Printer">
				<a class="button text-button float-left" onclick="$('#addPrinterDialog').hide();">Cancel</a>
				<a class="button text-button suggested-action float-right" id="addPrinterApply" onclick="$('#addPrinterDialog').hide();">Add</a>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<ul class="listrow">
						<li class="medium">
							<div class="icon s32">{%- include symbolic/devices/printer-symbolic.svg -%}</div>
							<label>CUPS PDF Printer</label>
							{%- include components/listrow-selection.html float = "right" id = "printerOption1" name = "printerOptions" -%}
						</li>
						<li class="medium">
							<div class="icon s32">{%- include symbolic/devices/printer-symbolic.svg -%}</div>
							<div class="label-group">
								<label>Canon FIGMA Inkjet Printer</label>
								<label class="small-label dim-label">usb://canon-3200-series</label>
							</div>
							{%- include components/listrow-selection.html float = "right" id = "printerOption1" name = "printerOptions" -%}
						</li>
						<li class="text-center">
							<label>Search for printers&hellip;</label>
						</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</div>

<!-- js -->
<script type="text/javascript">
$(document).ready(function() {$('#settingsSidebar a:nth-of-type(17) li').addClass("active");});
$('#lockButton').hide();
</script>